Index: src/cpu/amd/Kconfig
===================================================================
--- src/cpu/amd/Kconfig	(Revision 4735)
+++ src/cpu/amd/Kconfig	(Arbeitskopie)
@@ -8,9 +8,10 @@
 source src/cpu/amd/socket_AM2/Kconfig
 #source src/cpu/amd/socket_AM2r2/Kconfig
 source src/cpu/amd/socket_F/Kconfig
-#source src/cpu/amd/socket_F_1207/Kconfig
+source src/cpu/amd/socket_F_1207/Kconfig
 source src/cpu/amd/socket_S1G1/Kconfig
 
 source src/cpu/amd/model_fxx/Kconfig
+source src/cpu/amd/model_10xxx/Kconfig
 source src/cpu/amd/model_gx1/Kconfig
 source src/cpu/amd/model_gx2/Kconfig
Index: src/cpu/amd/socket_F_1207/Kconfig
===================================================================
--- src/cpu/amd/socket_F_1207/Kconfig	(Revision 0)
+++ src/cpu/amd/socket_F_1207/Kconfig	(Revision 0)
@@ -0,0 +1,45 @@
+config CPU_AMD_SOCKET_F_1207
+	bool
+	default n
+	select CPU_AMD_MODEL_10XXX
+
+config CPU_SOCKET_TYPE
+	hex
+	default 0x10
+	depends on CPU_AMD_SOCKET_F_1207
+
+# DDR2 and REG
+config DIMM_SUPPORT
+	hex
+	default 0x0104
+	depends on CPU_AMD_SOCKET_F_1207
+
+config PCI_IO_CFG_EXT
+	int
+	default 1
+	depends on CPU_AMD_SOCKET_F_1207
+
+config EXT_RT_TBL_SUPPORT
+	bool
+	default n
+	depends on CPU_AMD_SOCKET_F_1207
+
+config EXT_CONF_SUPPORT
+	bool
+	default n
+	depends on CPU_AMD_SOCKET_F_1207
+
+config CAR_FAM10
+	bool
+	default y
+	depends on CPU_AMD_SOCKET_F_1207
+
+config CBB
+	hex
+	default 0xff
+	depends on CPU_AMD_SOCKET_F_1207
+
+config CDB
+	hex
+	default 0
+	depends on CPU_AMD_SOCKET_F_1207
Index: src/cpu/amd/socket_F_1207/Makefile.inc
===================================================================
--- src/cpu/amd/socket_F_1207/Makefile.inc	(Revision 0)
+++ src/cpu/amd/socket_F_1207/Makefile.inc	(Revision 0)
@@ -0,0 +1,14 @@
+obj-y += socket_F_1207.o
+subdirs-y += ../model_10xxx
+subdirs-y += ../quadcore
+subdirs-y += ../mtrr
+subdirs-y += ../microcode
+subdirs-y += ../../x86/tsc
+subdirs-y += ../../x86/mtrr
+subdirs-y += ../../x86/fpu
+subdirs-y += ../../x86/mmx
+subdirs-y += ../../x86/sse
+subdirs-y += ../../x86/lapic
+subdirs-y += ../../x86/cache
+subdirs-y += ../../x86/pae
+subdirs-y += ../../x86/smm
Index: src/cpu/amd/model_10xxx/Kconfig
===================================================================
--- src/cpu/amd/model_10xxx/Kconfig	(Revision 0)
+++ src/cpu/amd/model_10xxx/Kconfig	(Revision 0)
@@ -0,0 +1,44 @@
+config CPU_AMD_MODEL_10XXX
+	bool
+	default n
+
+config HAVE_INIT_TIMER
+	bool
+	default y
+	depends on CPU_AMD_MODEL_10XXX
+
+config HAVE_MOVNTI
+	bool
+	default y
+	depends on CPU_AMD_MODEL_10XXX
+
+config CPU_ADDR_BITS
+	int
+	default 48
+	depends on CPU_AMD_MODEL_10XXX
+
+config USE_PRINTK_IN_CAR
+	bool
+	default y
+	depends on CPU_AMD_MODEL_10XXX
+
+config USE_DCACHE_RAM
+	bool
+	default y
+	depends on CPU_AMD_MODEL_10XXX
+
+config DCACHE_RAM_BASE
+	hex
+	default 0xc8000
+	depends on CPU_AMD_MODEL_10XXX
+
+config DCACHE_RAM_SIZE
+	hex
+	default 0x08000
+	depends on CPU_AMD_MODEL_10XXX
+
+config DCACHE_RAM_GLOBAL_VAR_SIZE
+	hex
+	default 0x01000
+	depends on CPU_AMD_MODEL_10XXX
+
Index: src/cpu/amd/model_10xxx/Makefile.inc
===================================================================
--- src/cpu/amd/model_10xxx/Makefile.inc	(Revision 0)
+++ src/cpu/amd/model_10xxx/Makefile.inc	(Revision 0)
@@ -0,0 +1,5 @@
+# no conditionals here. If you include this file from a socket, then you get all the binaries. 
+driver-y += model_10xxx_init.o
+obj-y += update_microcode.o
+obj-y += apic_timer.o
+obj-y += processor_name.o
